<?php

/**

* @version		1.1

* @package		DJ Classifieds

* @subpackage	DJ Classifieds Component

* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.

* @license		http://www.gnu.org/licenses GNU/GPL

* @autor url    http://design-joomla.eu

* @autor email  contact@design-joomla.eu

* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu

* 

* 

* DJ Classifieds is free software: you can redistribute it and/or modify

* it under the terms of the GNU General Public License as published by

* the Free Software Foundation, either version 3 of the License, or

* (at your option) any later version.

*

* DJ Classifieds is distributed in the hope that it will be useful,

* but WITHOUT ANY WARRANTY; without even the implied warranty of

* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the

* GNU General Public License for more details.

*

* You should have received a copy of the GNU General Public License

* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.

* 

*/



defined ('_JEXEC') or die('Restricted access');



jimport('joomla.application.component.model');



JTable::addIncludePath(JPATH_COMPONENT.DS.'tables');







class DjclassifiedsModelUseritems extends JModel

{	









	function getCountItems(){

			$user = & JFactory::getUser();

						

			$db= &JFactory::getDBO();

			$query = "SELECT COUNT(*) FROM #__djcf_items WHERE user_id = ".$user->id;



			$db->setQuery($query);

			$allelems=$db->loadResult();



			return $allelems;

	}

	

	

		function getItems(){

			

			global $mainframe;

			$user = & JFactory::getUser();

			$limit	= JRequest::getVar('limit', '10', '', 'int');

			$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');



			$query = "SELECT i.*, c.name AS c_name FROM #__djcf_items i, #__djcf_categories c WHERE i.cat_id = c.id AND i.user_id=".$user->id." ORDER by i.date_start DESC, i.id DESC";

			$items = $this->_getList($query, $limitstart, $limit);



		return $items;

	

	}

	

	

	

}



